### File

`packages/eui-mobile/packages/core/src/lib/components/euim-slider-info-screen/euim-slider-info-screen.component.ts`

### Implements

`OnInit` `AfterViewInit`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `euim-slider-info-screen`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-slider-info-screen.component.html`

### Index

###### Properties

- currentSlide
- isLastItemReached
- showLeftBtnAsPrevious
- slides
- slidesArray
- startX

###### Methods

- getCssClasses
- goToNextSlide
- goToPreviousSlide
- goToSlide
- handleTouchEnd
- isImageOnly
- isNextButtonVisible
- isPreviousButtonVisible
- onLastStepAction
- onLeftBtnAction
- onResize
- onRightBtnAction
- setSliderStyles

###### Inputs

- actionBtnIconsNames
- actionBtnNames
- isCarousel
- isNextBtn
- isPreviousBtn
- paginationColor
- showLeftBtn
- showRightBtn

###### Outputs

- lastStepActionClicked
- leftActionClicked
- rightActionClicked

###### HostBindings

- class

###### HostListeners

- window:resize

###### Accessors

- cssClasses

### Constructor

`constructor(renderer: Renderer2, gestureCtrl: GestureController, sliderElement: ElementRef, cdr: ChangeDetectorRef)`

Parameters :

Name | Type | Optional
renderer | `Renderer2` | No
gestureCtrl | `GestureController` | No
sliderElement | `ElementRef` | No
cdr | `ChangeDetectorRef` | No

### Inputs

actionBtnIconsNames
Type : `ActionBtnsIconsNames`
Default value : `{ rightBtnIconName: '', lastStepActionBtnIconName: '', leftBtnIconName: '', }`

actionBtnNames
Type : `ActionBtnsNames`
Default value : `{ rightBtnName: '', lastStepActionBtnName: '', leftBtnName: '', }`

isCarousel
Type : `boolean`
Default value : `false`

isNextBtn
Type : `boolean`
Default value : `false`

isPreviousBtn
Type : `boolean`
Default value : `false`

paginationColor
Type : `"dark" | "white" | "primary" | "info" | "success" | "warning" | "danger"`

showLeftBtn
Type : `boolean`
Default value : `false`

showRightBtn
Type : `boolean`
Default value : `false`

### Outputs

lastStepActionClicked
Type : `EventEmitter<MouseEvent>`

leftActionClicked
Type : `EventEmitter<MouseEvent>`

rightActionClicked
Type : `EventEmitter<MouseEvent>`

### HostBindings

class
Type : `string`

### HostListeners

window:resize
Arguments : `'$event'`
`window:resize(event: Event)`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

goToNextSlide
`goToNextSlide()`
Returns : `void`

goToPreviousSlide
`goToPreviousSlide()`
Returns : `void`

goToSlide
`goToSlide(index)`

Parameters :

Name | Optional
index | No

Returns : `void`

handleTouchEnd
`handleTouchEnd(e)`

Parameters :

Name | Optional
e | No

Returns : `void`

isImageOnly
`isImageOnly()`
Returns : `boolean`

isNextButtonVisible
`isNextButtonVisible()`
Returns : `void`

isPreviousButtonVisible
`isPreviousButtonVisible()`
Returns : `void`

onLastStepAction
`onLastStepAction(event: MouseEvent)`

Parameters :

Name | Type | Optional
event | `MouseEvent` | No

Returns : `void`

onLeftBtnAction
`onLeftBtnAction(event: MouseEvent)`

Parameters :

Name | Type | Optional
event | `MouseEvent` | No

Returns : `void`

onResize
`onResize(event: Event)`
Decorators : `@HostListener('window:resize', ['$event'])`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

onRightBtnAction
`onRightBtnAction(event: MouseEvent)`

Parameters :

Name | Type | Optional
event | `MouseEvent` | No

Returns : `void`

setSliderStyles
`setSliderStyles()`
Returns : `void`

### Properties

currentSlide
Type : `number`
Default value : `0`

isLastItemReached
Type : `BooleanInput`
Default value : `false`

showLeftBtnAsPrevious
Type : `BooleanInput`
Default value : `false`

slides
Type : `ElementRef`
Decorators : `@ViewChild('slides', {static: true})`

slidesArray
Type : `[]`
Default value : `[]`

startX
Type : `number`
Default value : `0`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""